BIO_f_null(3)

NAME
BIO_f_null - null filter

SYNOPSIS
 #include <openssl/bio.h>

 BIO_METHOD *   BIO_f_null(void);

DESCRIPTION
BIO_f_null() returns the null filter BIO method. This is a filter BIO that does nothing.

All requests to a null filter BIO are passed through to the next BIO in the chain: this means that a BIO chain containing a null filter BIO behaves just as though the BIO was not there.

NOTES
As may be apparent a null filter BIO is not particularly useful.

RETURN VALUES
BIO_f_null() returns the null filter BIO method.

SEE ALSO
TBA